import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:lba/gen/assets.gen.dart';

class SearchBarWidget extends StatelessWidget {
  const SearchBarWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(left: 15),
      child: SizedBox(
        height: 50,
        child: TextField(
          decoration: InputDecoration(
            hintText: 'What are you looking for?',
            hintStyle: const TextStyle(
              color: Colors.grey,
              fontSize: 13,
            ),
            prefixIcon: Padding(
              padding: const EdgeInsets.all(10.0),
              child: SvgPicture.asset(
                Assets.icons.riSearch2Line.path,
                width: 18,
                height: 18,
              ),
            ),
            filled: true,
            fillColor: const Color.fromARGB(255, 248, 248, 248),
            contentPadding: const EdgeInsets.symmetric(
              horizontal: 16.0,
            ),
            focusedBorder: OutlineInputBorder(
              borderRadius: BorderRadius.circular(12.0),
              borderSide: const BorderSide(
                color: Color.fromARGB(255, 14, 63, 102),
                width: 2.0,
              ),
            ),
            enabledBorder: OutlineInputBorder(
              borderRadius: BorderRadius.circular(12.0),
              borderSide: const BorderSide(
                color: Color.fromARGB(255, 14, 63, 102),
                width: 1.0,
              ),
            ),
          ),
        ),
      ),
    );
  }
}